Search documentation of ash

# Ash.DataLayer.Ets

View Source

An ETS (Erlang Term Storage) backed Ash Datalayer, for testing and lightweight usage.

Remember, this does not have support for transactions! This is not recommended for production use, especially in multi-user applications. It can, however, be great for prototyping.

## ets

A section for configuring the ets data layer

### Examples

    ets do
      # Used in testing
      private? true
    end

### Options

Name | Type | Default | Docs
--- | --- | --- | ---
`private?` | `boolean` | `false` | Sets the ets table protection to private, and scopes it to only this process. The table name will not be used directly if this is true, to allow multiple processes to use this resource separately.
`table` | `atom` |  | The name of the table. Defaults to the resource name.

← Previous Page Ash.Policy.Authorizer
Next Page → Ash.DataLayer.Mnesia